scalar(3)

NAME
scalar - Process scalars easily.

  Functions
netsnmp_mib_handler * netsnmp_get_scalar_handler (void)
Creates a scalar handler calling netsnmp_create_handler with a handler name defaulted to 'scalar' and access method, netsnmp_scalar_helper_handler.
int netsnmp_register_scalar (netsnmp_handler_registration *reginfo)
This function registers a scalar helper handler.
int netsnmp_register_read_only_scalar (netsnmp_handler_registration *reginfo)
This function registers a read only scalar helper handler.
int netsnmp_scalar_helper_handler (netsnmp_mib_handler *handler, netsnmp_handler_registration *reginfo, netsnmp_agent_request_info *reqinfo, netsnmp_request_info *requests)

Detailed Description

Process scalars easily.

Function Documentation

  netsnmp_mib_handler* netsnmp_get_scalar_handler (void)

Creates a scalar handler calling netsnmp_create_handler with a handler name defaulted to 'scalar' and access method, netsnmp_scalar_helper_handler.

Returns:
    Returns a pointer to a netsnmp_mib_handler struct which contains the handler's name and the access method

See also:
    netsnmp_get_scalar_handler

    netsnmp_register_scalar

Definition at line 46 of file scalar.c.

References netsnmp_create_handler(), and netsnmp_scalar_helper_handler().

Referenced by netsnmp_register_read_only_scalar(), netsnmp_register_scalar(), and netsnmp_register_scalar_group().

  int netsnmp_register_read_only_scalar (netsnmp_handler_registration * reginfo)

This function registers a read only scalar helper handler.

This function is very similar to netsnmp_register_scalar the only addition is that the 'read_only' handler is injected into the handler chain prior to injecting the serialize handler and registering reginfo.

Parameters:
    reginfo a handler registration structure which could get created using netsnmp_create_handler_registration. Used to register a read only scalar helper handler.

Returns:
    MIB_REGISTERED_OK is returned if the registration was a success. Failures are MIB_REGISTRATION_FAILURE and MIB_DUPLICATE_REGISTRATION.

See also:
    netsnmp_register_scalar

    netsnmp_get_scalar_handler

Definition at line 109 of file scalar.c.

References netsnmp_get_instance_handler(), netsnmp_get_read_only_handler(), netsnmp_get_scalar_handler(), netsnmp_inject_handler(), netsnmp_register_serialize(), netsnmp_handler_registration_s::rootoid, and netsnmp_handler_registration_s::rootoid_len.

  int netsnmp_register_scalar (netsnmp_handler_registration * reginfo)

This function registers a scalar helper handler.

The registered OID, reginfo->rootoid, space is extended for the instance subid using realloc() but the reginfo->rootoid_len length is not extended just yet. .This function subsequently injects the instance, scalar, and serialize helper handlers before actually registering reginfo.

Each handler is injected/pushed to the top of the handler chain list and will be processed last in first out, LIFO.

Parameters:
    reginfo a handler registration structure which could get created using netsnmp_create_handler_registration. Used to register a scalar helper handler.

Returns:
    MIB_REGISTERED_OK is returned if the registration was a success. Failures are MIB_REGISTRATION_FAILURE and MIB_DUPLICATE_REGISTRATION.

See also:
    netsnmp_register_read_only_scalar

    netsnmp_get_scalar_handler

Definition at line 74 of file scalar.c.

References netsnmp_get_instance_handler(), netsnmp_get_scalar_handler(), netsnmp_inject_handler(), netsnmp_register_serialize(), netsnmp_handler_registration_s::rootoid, and netsnmp_handler_registration_s::rootoid_len.

Referenced by netsnmp_register_watched_scalar(), and netsnmp_watched_timestamp_register().